Skip to main content
GET
/
v0
/
business
/
{business_id}
/
refunds
List all Invoice Refunds for a Business
curl --request GET \
  --url https://api.sandbox.getasset.com/v0/business/{business_id}/refunds \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "business_id": "<string>",
      "external_id": "<string>",
      "amount": 123,
      "refunded_at": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "amount_paid": 0,
      "memo": "<string>",
      "processor": "<string>",
      "is_return": false,
      "status": "pending",
      "payments": [
        {
          "amount": 123,
          "id": "<string>",
          "transaction_id": "<string>"
        }
      ],
      "refund_invoices": [
        {
          "amount": 123,
          "id": "<string>",
          "invoice_id": "<string>",
          "invoice_line_id": "inl_WQMDNUHpBThYSNh4AprDBo",
          "external_id": "<string>",
          "memo": "<string>"
        }
      ],
      "tags": {}
    }
  ],
  "pagination": {
    "next_page_token": "<string>",
    "previous_page_token": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getasset.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

business_id
string<biz_string>
required

The id of the business

Example:

"biz_GA6EG2qFxA97NZHtxeLPUy"

Query Parameters

status
enum<string> | null

Filter refunds by status

Available options:
pending,
completed,
voided
page_token
string | null

The page token to for the next or previous page

page_size
integer
default:100
Required range: 1 <= x <= 100

Response

Successful Response

data
RefundPublic · object[]
required
pagination
PaginationResponse · object
required